Bug 199075 - WT-200U USB HDTV tuner broken in FC6 kernels.
WT-200U USB HDTV tuner broken in FC6 kernels.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-16 21:53 EDT by Steven Haigh
Modified: 2008-05-06 20:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:40:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Haigh 2006-07-16 21:53:42 EDT
Description of problem:
dvb datastream breaks in FC6 kernels.

Version-Release number of selected component (if applicable):
Last known working: 2.6.15-1.2054_FC5
Last kernel tested: 2.6.17-1.2396.fc6

How reproducible:
Use a DVB2Go USB HDTV tuner as shown in dmesg:
dvb-usb: found a 'WideView/Yuan/Yakumo/Hama/Typhoon DVB-T USB2.0 (WT-200U)' in
warm state.
dvb-usb: will use the device's hardware PID filter (table count: 15).
dvb-usb: schedule remote query interval to 300 msecs.
dvb-usb: WideView/Yuan/Yakumo/Hama/Typhoon DVB-T USB2.0 (WT-200U) successfully
initialized and connected.

When tuning, the frontend locks, and FE_HAS_LOCK is true however no datastream
is received from the unit.

I use vlc to tune the tuner, as well as stream the data over a network.

A tuner correctly working and streaming data using the FC5 kernel output log is at:
http://www.crc.id.au/files/2.6.15-1.2054_FC5.txt

A tuner attempting to work under the latest FC6 kernels:
http://www.crc.id.au/files/2.6.17-1.2396.fc6.txt

As you can see, the tuner successfully tunes, the front end locks, however no
data is ever received from the tuner. This means the initial buffer never fills,
and no data is streamed to the network.

It seems that every kernel release since 2.6.15-1.2054_FC5 has the same issue.
Comment 1 Bug Zapper 2008-04-03 13:47:50 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Bug Zapper 2008-05-06 20:40:34 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.